From e0d59c2b210fceb03b5fc8df8403179fba9be845 Mon Sep 17 00:00:00 2001
From: Jim Porter <jporterbugs@gmail.com>
Date: Sun, 2 May 2021 20:58:00 -0700
Subject: [PATCH] Ensure `<menu-bar> <edit> <clear>' handles rectangular
 regions

* lisp/delsel.el (delete-active-region): Autoload it and make it interactive.
* lisp/menu-bar.el (menu-bar-edit-menu): Bind "Clear" to
`delete-active-region'.
---
 lisp/delsel.el   | 2 ++
 lisp/menu-bar.el | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/lisp/delsel.el b/lisp/delsel.el
index 982320340d..27224b1308 100644
--- a/lisp/delsel.el
+++ b/lisp/delsel.el
@@ -84,9 +84,11 @@ delete-selection-mode
 
 (defvar delsel--replace-text-or-position nil)
 
+;;;###autoload
 (defun delete-active-region (&optional killp)
   "Delete the active region.
 If KILLP in not-nil, the active region is killed instead of deleted."
+  (interactive "p")
   (cond
    (killp
     ;; Don't allow `kill-region' to change the value of `this-command'.
diff --git a/lisp/menu-bar.el b/lisp/menu-bar.el
index e6cce59343..b75dbf226c 100644
--- a/lisp/menu-bar.el
+++ b/lisp/menu-bar.el
@@ -495,7 +495,7 @@ menu-bar-edit-menu
       '(menu-item "Select All" mark-whole-buffer
                   :help "Mark the whole buffer for a subsequent cut/copy"))
     (bindings--define-key menu [clear]
-      '(menu-item "Clear" delete-region
+      '(menu-item "Clear" delete-active-region
                   :enable (and mark-active
                                (not buffer-read-only))
                   :help
-- 
2.25.1

